python-ldns_1.6.17-8_amd64.deb


Advertisement

Description

python-ldns - Python bindings for the ldns library for DNS programming

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-ldns
Package version: 1.6.17
Package release: 8
Package architecture: amd64
Package type: deb
Installed size: 1.50 KB
Download size: 200.34 KB
Official Mirror: archive.ubuntu.com
The goal of ldns is to simplify DNS programming, it supports recent RFCs like the DNSSEC documents, and allows developers to easily create software conforming to current RFCs, and experimental software for current Internet Drafts. This archive contains modules that allow you to use LDNS Library in Python programs.

Alternatives

Provides

  • python2.7-ldns

    Download

    Source package: ldns

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-ldns deb package:
      # sudo apt-get install python-ldns

    Files

    • /usr/lib/python2.7/dist-packages/_ldns.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/ldns.py
    • /usr/lib/python2.7/dist-packages/ldnsx.py
    • /usr/share/doc/python-ldns/changelog.Debian.gz
    • /usr/share/doc/python-ldns/copyright

    Changelog

    2016-02-15 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-8) unstable; urgency=medium [ Robert Edmonds ] * Makefile.in: Don't pass CPPFLAGS to swig (Closes: #811230)

    2015-12-23 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-7) unstable; urgency=medium * Add lintian overrides for slightly errorneous man pages * Disable ldns-config distribution; please use pkg-config * Add missing dh-python B-D * Fix perl error in doxyparse.pl (Closes: #808665)

    2015-12-22 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-6) unstable; urgency=medium * Update packaging to debhelper compat level 9 and convert libldns to MultiArch package * Move the package under pkg-dns group umbrella

    2014-06-19 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-5) unstable; urgency=medium * Add upstream fix for double free for answers bigger than 4096 bytes * Add upstream fix whitespace bug in ldns-read-zone

    2014-06-16 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-4) unstable; urgency=high * [CVE-2014-3209]: fix ldns-keygen writing private DNSKEYs with default umask (Closes: #746758)

    2014-06-13 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-3) unstable; urgency=high * Add Breaks for dnssec-trigger as well to allow its backports without symbol breakage in libldns1

    2014-06-13 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-2) unstable; urgency=high * Install libldns.pc into correct location (Closes: #746614) * Add Breaks for opendnssec version that uses strlcpy symbol from ldns (Closes: #720702)

    2014-02-11 - Ondřej Surý <ondrej@debian.org> ldns (1.6.17-1) unstable; urgency=low * New upstream version 1.6.17 * Use updated watch file * Refresh patches for 1.6.17 release * Install libldns.pc to /usr/lib/pkg-config (Closes: #696025) * Update symbols file that has removed some internal symbols

    2013-07-10 - Ondřej Surý <ondrej@debian.org> ldns (1.6.16-1) unstable; urgency=low * New upstream version 1.6.16 * Update patches for release 1.6.16

    2012-11-27 - Ondřej Surý <ondrej@debian.org> ldns (1.6.13-4) unstable; urgency=low * Add correct Breaks/Replaces, fix typo and version (Closes: #694468)

    Advertisement
    Advertisement